package com.miaxis.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.common.core.domain.entity.UserInfo;
import com.miaxis.extension.dto.ExtensionIncomeListDTO;
import com.miaxis.extension.vo.ExtensionIncomeVo;

import java.util.List;

/**
 * 用户Mapper接口
 *
 * @author miaxis
 * @date 2021-08-18
 */
public interface UserInfoMapper extends BaseMapper<UserInfo> {
    /**
     * 查询用户列表
     *
     * @param userInfo 用户
     * @return 用户集合
     */
    public List<UserInfo> selectUserInfoList(UserInfo userInfo);


    List<UserInfo> selectUserByParentOpenid(String openid);

    List<UserInfo> selectUserByList(List<String> collect);

    UserInfo getUpUserInfo(String fromUserName);

    List<ExtensionIncomeVo> getDownLevelPoints(String openid);

    List<ExtensionIncomeVo> getPcDownLevelPoints(ExtensionIncomeListDTO dto);
}
